### Method

# Gtk Snapshot push_blend

#### Declaration [src]

    void
    gtk_snapshot_push_blend (
      GtkSnapshot* snapshot,
      GskBlendMode blend_mode
    )

#### Description [src]

Blends together two images with the given blend mode.

Until the first call to gtk_snapshot_pop(), the bottom image for the blend operation will be recorded. After that call, the top image to be blended will be recorded until the second call to gtk_snapshot_pop().

Calling this function requires two subsequent calls to gtk_snapshot_pop().

#### Parameters

`blend_mode` | `GskBlendMode`
| Blend mode to use.